%define         majornum    26
%define         srcname     lib%{name}
%define         libname     %mklibname %{name} %{majornum}
%define         develname   %mklibname %{name} -d

Name:           sodium
Version:        1.0.20
Release:        %mkrel 2
Summary:        A software library for encryption, decryption and more
License:        ISC License
Group:          Security

URL:            https://github.com/jedisct1/libsodium
Source0:        https://github.com/jedisct1/libsodium/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  gawk


%description
Sodium is a new, easy-to-use software library for encryption,
decryption, signatures, password hashing and more. It is a portable,
cross-compilable, installable fork of NaCl, with a compatible API, and
an extended API to improve usability even further. Its goal is to
provide all of the core operations needed to build higher-level
cryptography tools.



%package -n %{libname}
License:        ISC License
Summary:        The sodium library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Sodium is a new, easy-to-use software library for encryption,
decryption, signatures, password hashing and more. It is a portable,
cross-compilable, installable fork of NaCl, with a compatible API, and
an extended API to improve usability even further. Its goal is to
provide all of the core operations needed to build higher-level
cryptography tools.


%package -n %{develname}
License:        ISC License
Summary:        Headers and development files for the sodium library
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Headers and development files for the sodium library.


%prep

%setup -q -n %{srcname}-%{version}

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS README.markdown THANKS LICENSE
%{_libdir}/libsodium.so.%{majornum}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_libdir}/libsodium.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/sodium.h
%{_includedir}/sodium



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.0.20-2.mga10
+ Revision: 2227401
- Mageia 10 Mass Rebuild

* Thu Sep 05 2024 eatdirt <eatdirt> 1.0.20-1.mga10
+ Revision: 2093200
- Update to version 1.0.20

* Sun May 05 2024 eatdirt <eatdirt> 1.0.19-1.mga10
+ Revision: 2062233
- Upgrade to version 1.0.19

* Sat Apr 02 2022 umeabot <umeabot> 1.0.18-3.mga9
+ Revision: 1840740
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.0.18-2.mga9
+ Revision: 1526821
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jun 30 2019 daviddavid <daviddavid> 1.0.18-1.mga8
+ Revision: 1416489
- new version: 1.0.18

* Thu Mar 07 2019 eatdirt <eatdirt> 1.0.17-1.mga7
+ Revision: 1372211
- Upgrade to version 1.0.17

* Sun Sep 23 2018 umeabot <umeabot> 1.0.16-2.mga7
+ Revision: 1301097
- Mageia 7 Mass Rebuild

* Sun May 13 2018 eatdirt <eatdirt> 1.0.16-1.mga7
+ Revision: 1229036
- Upgrade to version 1.0.16

* Wed Nov 15 2017 eatdirt <eatdirt> 1.0.15-1.mga7
+ Revision: 1177488
- Upgrade to version 1.0.15

* Mon Apr 03 2017 eatdirt <eatdirt> 1.0.12-1.mga6
+ Revision: 1095795
- Upgrade to version 1.0.12

* Mon Oct 10 2016 eatdirt <eatdirt> 1.0.11-1.mga6
+ Revision: 1059958
- Upgrading libsodium to 1.0.11

* Fri Feb 12 2016 umeabot <umeabot> 1.0.8-2.mga6
+ Revision: 958901
- Mageia 6 Mass Rebuild

* Sat Dec 26 2015 ovitters <ovitters> 1.0.8-1.mga6
+ Revision: 915054
- bump major
- new version 1.0.8

* Tue Mar 31 2015 eatdirt <eatdirt> 1.0.2-1.mga6
+ Revision: 819481
- imported package sodium


* Tue Mar 31 2015 Chris Ringeval <eatdirt@mageia.org> 1.0.2-1.mga5
- Importing libsodium
